import 'package:cargocalculaterapp/core/extension/build_context_extension.dart';
import 'package:flutter/material.dart';

import '../../../../../core/utils/app_utils.dart';

class OrderDataWidget extends StatelessWidget {
  const OrderDataWidget({super.key, required this.title, required this.name});

  final String title;
  final String name;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Expanded(child: Text(title, style: context.text.profileCategory)),
            AppUtils.kBoxWidth8,
            Expanded(
              child: Text(
                name,
                style: context.text.profileCategory,
                textAlign: TextAlign.end,
              ),
            ),
          ],
        ),

        const Padding(padding: AppUtils.kPaddingVer8, child: AppUtils.kDivider),
      ],
    );
  }
}
